% LBG

CB = zeros (10,1);     % jeden codevector, init na same 0.
[sym, gd]=vq_code (A, CB);

%--- compute init cluster ---
L=1;
[CB, nbs]=vq_clust (A,sym,L); 

% --- split and iterate ---
for ii=1:6,
  CB=vq_split(CB);
  L=2 * L;
  disp (['--- ' num2str(L) ' ---']);

  % - first code here -
  [sym, gd]=vq_code (A, CB);
  disp (['orig: ' num2str(gd)]);
  oldgd=9999999;
  iter=1;

  while ((oldgd-gd)/gd > 0.005)
    % - make new code-vectors
    [CB, nbs]=vq_clust (A,sym,L);

    % - and code - 
    oldgd=gd;
    [sym, gd]=vq_code (A, CB);
    disp (['iter: ' num2str(iter) ': ' num2str(gd) ]);
    iter=iter+1;
  end
end
